#!/usr/local/bin/python3.9

# Copyright (c) 2009-2014, 2019 by Farsight Security, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import nmsg

o = nmsg.output.open_sock('127.0.0.1', 9430)

m = nmsg.msgtype.isc.ipconn()

for i in range(0, 100):
    m['srcip'] = '127.0.0.%s' % i
    m['dstip'] = '127.1.0.%s' % i
    m['srcport'] = i
    m['dstport'] = 65535 - i
    o.write(m)
